summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorLukas18182020-10-30 19:30:32 +0100
committerLukas18182020-10-30 19:30:32 +0100
commit88314cdca906c45a73d41725754a738d90c0f1c6 (patch)
treece714a8daf227837bbfc351cdfb531d77126008f /PKGBUILD
parentc031ed0f16b247b535374a9c82c98f031d4357c6 (diff)
downloadaur-88314cdca906c45a73d41725754a738d90c0f1c6.tar.gz
update to 2.8.0; some changes
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD13
1 files changed, 8 insertions, 5 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 85d5af7ade3..f2dcceece64 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,27 +1,30 @@
# Maintainer: Lukas1818 aur at lukas1818 dot de
pkgname=gog-stellaris
-pkgver=2.7.2
+pkgver=2.8.0
_pkgtag=$pkgver
pkgrel=1
pkgdesc="A strategy game with space exploration at its core"
arch=('x86_64')
url="https://www.gog.com/game/stellaris"
license=('custom')
-makedepends=('unzip' 'findutils')
+makedepends=('unzip' 'findutils' 'lgogdownloader')
+optdepends=("gog-stellaris-anniversary-portraits=$pkgver" "gog-stellaris-horizon-signal=$pkgver")
depends=('bash' 'sed' 'glibc' 'libx11' 'libglvnd' 'gcc-libs')
-source=("stellaris_${pkgver//./_}_38578.sh::gogdownloader://stellaris/en3installer0"
+source=("stellaris_${pkgver//./_}.sh::gogdownloader://1508702879/en3installer0"
"Stellaris.desktop"
"start-stellaris.sh")
-sha512sums=('68135960fc348d6667de2ae69ab02040e4a0d09ffe738d9c16121f33d82418695bd7d5ae55762f9c5cfd633430f4d4ea2cec06630668548eb1994f7f970f4471'
+sha512sums=('483c03b53c5aa2f8d8d68e63f0627d3ca84622e5c5e3860f6a2938ac1fa4437238cf46f38cc5e4a809acfba4f9568a1478467b98e7bc74a233cacfddba8b280c'
'adb27526719b22f71211cd0398f1323a3821821f12fd6998f592eb5e31c0891234f2505e7eb0b685588116b305aaf33b78670539b26440744befc351b4776827'
'909ba5ce65d6906f7357ad12f5f9cf3a2c81c15bd6414298b91616236754c1d4bff32f0ab0f83f6449e8c6adda669351ce23fbdd80c1366b6d36c862c6435603')
+DLAGENTS+=('gogdownloader::/usr/bin/lgogdownloader --download-file=%u -o %o')
+
prepare()
{
cd "${srcdir}"
test -d "${srcdir}/stellaris" && rm -r "${srcdir}/stellaris"
- unzip -q -d stellaris stellaris_${pkgver//./_}_38578.sh || test $? -eq 1
+ unzip -q -d stellaris stellaris_${pkgver//./_}.sh || test $? -eq 1
cd "${srcdir}/stellaris/data/noarch/game"
rm AutoClientScript.py \
AutoClientScriptOvernight.py \